package com.bingce.controlnetwork.activity.backup;

import blankj.utilcode.util.StringUtils;

import com.bingce.controlnetwork.BuildConfig;
import com.bingce.controlnetwork.R;

public class BackupExportActivity extends AbstractBackupExportActivity {
    @Override
    protected String tipsString() {
        return getString(R.string.back_up_data_tips);
    }

    @Override
    protected String applicationId() {
        return BuildConfig.APPLICATION_ID;
    }

    @Override
    protected String zipFileName(String dateString, String projectName) {
        StringBuilder stringBuilder = new StringBuilder(BACKUP_NAME);
        if (!StringUtils.isEmpty(projectName)) {
            stringBuilder.append("[")
                    .append(projectName)
                    .append("]");
        }
        stringBuilder.append(dateString);
        return stringBuilder.toString();
    }
}
