package com.bingce.controlnetwork.func.level.idetection

import com.bingce.controlapphelper.datasource.database.leveling.idetection.constants.LevelIDetectionConstant

/**
 * 当前测量的测站，尺子，第几个
 */
class LevelIDetectionSurveyorData(val currentIDetectionId: String) {
    var currentStationType = LevelIDetectionConstant.STATION_TYPE_0
    var currentMeasureTime = LevelIDetectionConstant.MEASURE_TIME_0
    var currentRulerType = -1//默认不选中尺寸，因为可能已经测完

    fun isHaveSurveyor() = currentRulerType != -1
}