package com.bingce.controlnetwork.newui.widget.selectitem

import com.bingce.controlapphelper.datasource.database.leveling.idetection.constants.LevelIDetectionConstant
import com.bingce.controlapphelper.datasource.database.leveling.idetection.constants.LevelIDetectionConstant.STATION_TYPE_0
import com.bingce.controlapphelper.datasource.database.leveling.idetection.constants.LevelIDetectionConstant.STATION_TYPE_1
import com.bingce.controlapphelper.model.IUniversalListItem

class SelectIDetectionStationFragment : BaseSelectItemFragment() {
    override fun getDataList(): List<IUniversalListItem<String>> {
        return listOf(
            Bean(
                LevelIDetectionConstant.getStationTypeShow(STATION_TYPE_0),
                STATION_TYPE_0.toString()
            ),
            Bean(
                LevelIDetectionConstant.getStationTypeShow(STATION_TYPE_1),
                STATION_TYPE_1.toString()
            ),
        )
    }

    override fun getTitle(): String {
        return "选择测站"
    }

    class Bean(private val name: String, private val type: String) :
        IUniversalListItem<String> {
        override fun getName(): String {
            return name
        }

        override fun getId(): String {
            return ""
        }

        override fun getValue(): String {
            return type
        }

    }

}