package com.bingce.controlnetwork.newui.widget.selectitem

import com.bingce.controlapphelper.datasource.database.leveling.idetection.constants.LevelIDetectionConstant.A_I_B_I
import com.bingce.controlapphelper.datasource.database.leveling.idetection.constants.LevelIDetectionConstant.A_I_I_B
import com.bingce.controlapphelper.datasource.database.leveling.idetection.constants.LevelIDetectionConstant.I_A_B_I
import com.bingce.controlapphelper.datasource.database.leveling.idetection.constants.LevelIDetectionConstant.getMeasureTypeShowLong
import com.bingce.controlapphelper.model.IUniversalListItem

class SelectIDetectionStationMeasureTypeFragment : BaseSelectItemFragment() {
    override fun getDataList(): List<IUniversalListItem<String>> {
        return listOf(
            Bean(getMeasureTypeShowLong(I_A_B_I), I_A_B_I),
            Bean(getMeasureTypeShowLong(A_I_I_B), A_I_I_B),
            Bean(getMeasureTypeShowLong(A_I_B_I), A_I_B_I),
        )
    }

    override fun getTitle(): String {
        return "选择检测方法"
    }

    class Bean(private val name: String, private val type: String) :
        IUniversalListItem<String> {
        override fun getName(): String {
            return name
        }

        override fun getId(): String {
            return ""
        }

        override fun getValue(): String {
            return type
        }

    }

}