package com.bingce.controlnetwork.newui.widget.selectitem

import com.bingce.controlapphelper.datasource.database.ProjectTypeValue
import com.bingce.controlapphelper.model.IUniversalListItem
import com.bingce.controlnetwork.R

class SelectProjectTypeFragment : BaseSelectItemFragment() {
    override fun getDataList(): List<IUniversalListItem<String>> {
        return listOf(
            Bean(getString(R.string.triangular_wire), ProjectTypeValue.TRIANGLE),
//            Bean(getString(R.string.contact_measurement), ProjectTypeValue.CONNECTION),
            Bean(getString(R.string.elevation_wire), ProjectTypeValue.HEIGHT_TRAVERSE),
            Bean(getString(R.string.level), ProjectTypeValue.LEVEL)
        )
    }

    override fun getTitle(): String {
        return getString(R.string.new_project)
    }

    class Bean(private val projectTypeName: String, private val projectType: String) :
        IUniversalListItem<String> {
        override fun getName(): String {
            return projectTypeName
        }

        override fun getId(): String {
            return ""
        }

        override fun getValue(): String {
            return projectType
        }

    }

}