package com.bingce.controlnetwork.surveyor.state.alonedistance;

import android.os.Bundle;

import com.bingce.controlapphelper.surveyor.state.StateType;
import com.bingce.controlapphelper.util.Tools;
import com.bingce.controlnetwork.R;

/*
 * 仪器导致的测量失败
 *
 * 全站仪多次测量失败，进入该状态
 * */
class _SurveyorFailureState extends __BaseState {

    public _SurveyorFailureState(StateManagerAloneDistance stateManager) {
        super(StateType.SurveyorFailure, stateManager);
    }

    @Override
    public void enter(Bundle args) {
        String error = "";
        if (args != null) {
            error = args.getString(KEY);
        }
        failureTipsWithAutoStandStill(error + Tools.getString(R.string.please_observe_target));
    }

    private static final String KEY = "error";

    public static Bundle args(String error) {
        Bundle args = new Bundle();
        args.putString(KEY, error);
        return args;
    }
}
