package com.bingce.controlnetwork.surveyor.state.heighttraverse;

import android.os.Bundle;

import com.bingce.controlapphelper.event.AutoSurveyorButtonVisibleEvent;
import com.bingce.controlapphelper.event.SurveyStateEvent;
import com.bingce.controlapphelper.surveyor.state.StateType;
import com.bingce.controlnetwork.R;

import net.tatans.tensorflowtts.tts.TtsManager;

import org.greenrobot.eventbus.EventBus;

/**
 * 钢丝测量旋转到位状态
 */
class _DoWellMeasureRotationReadyState extends __BaseState {

    public _DoWellMeasureRotationReadyState(int positionFragment, StateManagerHeightTraverse stateManager) {
        super(StateType.doWellMeasureRotationReady, positionFragment, stateManager);
    }

    @Override
    public void enter(Bundle args) {
        runOnUI(() -> TtsManager.getInstance().speak(getContext().getString(R.string.please_aiming_at_alone_distance_point_then_measure)));
        SurveyStateEvent.postIdle(positionFragment);
        EventBus.getDefault().post(new AutoSurveyorButtonVisibleEvent(positionFragment, false, true));
    }

}