package com.bingce.controlnetwork.util;

import android.app.Activity;
import android.view.inputmethod.InputMethodManager;

import blankj.utilcode.util.ActivityUtils;

public class KeyboardUtil {
    public static void hideSoftInput() {
        hideSoftInput(ActivityUtils.getTopActivity());
    }

    public static void hideSoftInput(Activity act) {
        if (act != null && act.getCurrentFocus() != null) {
            InputMethodManager inputMethodManager = (InputMethodManager) act.getSystemService(Activity.INPUT_METHOD_SERVICE);
            inputMethodManager.hideSoftInputFromWindow(act.getCurrentFocus().getWindowToken(), 0);
        }
    }
}
