package com.bingce.controlnetwork.adapter;

import com.bingce.controlapphelper.model.IUniversalListItem;
import com.bingce.controlapphelper.model.ViewItemType;

import java.util.List;

public class IndexWithTextAndPrefixAdapter<T extends IUniversalListItem<?>> extends IndexWithTextAdapter<T> {
    public IndexWithTextAndPrefixAdapter(List<T> items, IOnItemClick<T> callback) {
        super(items, callback);
    }

    public IndexWithTextAndPrefixAdapter(List<T> items) {
        super(items);
    }

    protected ViewItemType itemType() {
        return ViewItemType.indexWithNameAndPrefix;
    }
}
