package com.bingce.controlnetwork.adapter;

import android.content.Context;

import androidx.annotation.NonNull;
import androidx.fragment.app.FragmentManager;
import androidx.lifecycle.LifecycleOwner;

import com.bingce.controlapphelper.datasource.database.project.ProjectRecord;
import com.bingce.controlapphelper.util.IUIRunner;

import java.util.ArrayList;

import com.bingce.controlnetwork.adapter.contextmenu.ProjectAdapterContextMenu;

public class ProjectListAdapter extends BaseIndexTextWithContextMenuAdapter<ProjectRecord>
        implements IUpdateListAdapter<ProjectRecord> {

    public ProjectListAdapter(IOnItemClick<ProjectRecord> callback,
                              @NonNull Context context,
                              @NonNull IUIRunner iuiRunner,
                              @NonNull LifecycleOwner lifecycleOwner,
                              @NonNull FragmentManager fragmentManager) {
        super(new ArrayList<>(),
                callback,
                new ProjectAdapterContextMenu(context, iuiRunner, lifecycleOwner, fragmentManager));
    }
}
