package com.bingce.controlnetwork.adapter;

import android.os.Bundle;

import androidx.fragment.app.DialogFragment;

import com.bingce.controlapphelper.datasource.database.surveyorcycle.SurveyorPeriodRecord;

import java.util.ArrayList;

import com.bingce.controlnetwork.adapter.contextmenu.SurveyorPeriodAdapterContextMenu;
import com.bingce.controlnetwork.fragment.BottomSheetSurveyorPeriodFragment;

public class SurveyorPeriodAdapter extends BaseSelectableIndexTextWithContextMenuAdapter<SurveyorPeriodRecord> {
    public SurveyorPeriodAdapter(String selectedId, DialogFragment fragment) {
        super(selectedId,
                new ArrayList<>(),
                item -> {
                    Bundle args = new Bundle();
                    args.putString(BottomSheetSurveyorPeriodFragment.KEY_RESULT_ID, item.getValue());
                    args.putString(BottomSheetSurveyorPeriodFragment.KEY_RESULT_NAME, item.getName());
                    fragment.getParentFragmentManager().setFragmentResult(BottomSheetSurveyorPeriodFragment.KEY_REQUEST_TIME, args);
                    fragment.dismiss();
                },
                new SurveyorPeriodAdapterContextMenu(fragment.getContext(), selectedId,
                        fragment.getViewLifecycleOwner(), fragment.getChildFragmentManager()));
    }

    public void changeCurrentSelect(String id) {
        updateCurrentSelectedId(id);
    }
}
