package com.bingce.controlnetwork.adapter.contextmenu;

import android.view.MenuItem;

import com.bingce.controlnetwork.R;

public abstract class ContextMenuDelete<T> implements IAdapterContextMenu<T> {
    @Override
    public int menuItemSize() {
        return 1;
    }

    @Override
    public int menuItemName(int index) {
        return R.string.menu_delete;
    }

    @Override
    final public boolean onMenuItemClick(T item, MenuItem menuItem) {
        if (menuItem.getItemId() == 0) {
            delete(item);
            return true;
        }
        return false;
    }

    protected abstract void delete(T item);
}
