package com.bingce.controlnetwork.func.level.constant

import com.bingce.controlapphelper.util.Tools
import com.bingce.controlnetwork.R

object LevelStationSettingContant {
    val observationDirectionList = listOf("往测", "返测", "检往", "检返", "重往", "重返")
    val weatherList = listOf("晴", "阴", "雨", "雪")
    val imagingList =
        listOf("清晰", "小雾", "中雾", "大雾")
    val sunDirectionList =
        listOf("无太阳", "前", "后", "左", "右")
    val windDirectionList =
        listOf(
            "无",
            "东",
            "南",
            "西",
            "北",
            "东南",
            "西南",
            "东北",
            "西北"
        )
    val windSpeedList =
        listOf(
            "无",
            "0级无风",
            "1级软风",
            "2级轻风",
            "3级微风",
            "4级和风",
            "5级清劲风",
            "6级强风",
            "7级疾风",
            "8级大风"
        )
    val roadsList =
        listOf(
            Tools.getString(R.string.please_choose),
            "柏油路", "水泥路", "土路", "砂石路", "铁路", "其他"
        )

    val soilList =
        listOf(
            Tools.getString(R.string.please_choose),
            "柏油", "水泥", "实土", "沙石", "草地"
        )

    val rulerTypeList = listOf("铟瓦尺", "木质", "其他")

    //尺承类型
    val rulerReceptTypeList =
        listOf("钢尺桩", "5kg以上尺台", "不足5kg尺台", "钢帽钉", "木桩", "其他")
}