package com.bingce.controlnetwork.func.level.idetection.adapter;

import android.content.Context;
import android.view.ViewGroup;

import androidx.annotation.NonNull;

import com.bingce.controlapphelper.datasource.database.leveling.idetection.list.LevelIDetectionList;
import com.bingce.controlnetwork.databinding.ItemLevelIDetectionListBinding;
import com.bingce.controlnetwork.newui.adapter.BaseAdapterNew;


/**
 * i角检测列表
 */
public class LevelIDetectionListAdapter extends BaseAdapterNew<LevelIDetectionListHolder, LevelIDetectionList> {

    public LevelIDetectionListAdapter(Context context) {
        super(context);
    }

    @Override
    protected void onBindViewHolderDo(LevelIDetectionListHolder holder, int position) {
        LevelIDetectionList bean = mDataList.get(position);
        holder.mBinding.tvIndex.setText(String.valueOf(position + 1));
        holder.mBinding.tvName.setText(bean.name);
    }

    @NonNull
    @Override
    public LevelIDetectionListHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        return new LevelIDetectionListHolder(ItemLevelIDetectionListBinding.inflate(getInflater(), parent, false));
    }
}
