package com.bingce.controlnetwork.surveyor.state.alonedistance;

import android.os.Bundle;
import android.text.TextUtils;

import com.bingce.controlapphelper.event.AutoSurveyorButtonVisibleEvent;
import com.bingce.controlapphelper.event.SurveyStateEvent;
import com.bingce.controlapphelper.surveyor.state.StateType;
import com.bingce.controlnetwork.R;
import com.bingce.controlnetwork.surveyor.state.StateConstants;

import net.tatans.tensorflowtts.tts.TtsManager;

import org.greenrobot.eventbus.EventBus;

import com.bingce.controlnetwork.surveyor.state.StateConstants;

/**
 * 钢丝测量旋转到位状态
 */
class _DoWellMeasureRotationReadyState extends __BaseState {

    public _DoWellMeasureRotationReadyState(StateManagerAloneDistance stateManager) {
        super(StateType.doWellMeasureRotationReady, stateManager);
    }

    @Override
    public void enter(Bundle args) {
        if (args != null) {
            String fromWhere = args.getString(StateConstants.KEY_ROTATION_STATE_FROM_WHERE);
            if (TextUtils.equals(fromWhere, StateConstants.ROTATION_STATE_FROM_WHERE_MEASURE)) {
                runOnUI(() -> TtsManager.getInstance().speak(getContext().getString(R.string.please_aiming_at_alone_distance_point_then_measure)));
            }
        }
        //更新回退按钮状态
        refreshGoBack();
        SurveyStateEvent.postIdle(positionFragment);
        EventBus.getDefault().post(new AutoSurveyorButtonVisibleEvent(positionFragment, false, true));
    }

}