package com.bingce.controlnetwork.surveyor.state.angledistance;

import android.os.Bundle;

import com.bingce.controlapphelper.model.DataCategory;
import com.bingce.controlapphelper.surveyor.data.ICachedData;
import com.bingce.controlapphelper.surveyor.data.ICycleRecorder;
import com.bingce.controlapphelper.surveyor.data.ISurveyorData;
import com.bingce.controlapphelper.surveyor.state.StateType;

/**
 * 记录测量数据
 */
class _DoRecordCleanState extends __BaseState {
    public _DoRecordCleanState(StateManager stateManager) {
        super(StateType.doRecordClean, stateManager);
    }

    @Override
    public void enter(Bundle args) {
        ICachedData cacheData = getCachedData();
        ISurveyorData surveyorData = getSurveyorData();
        ICycleRecorder cycleRecorder = getCycleRecorder();
        //设置数据正常
        surveyorData.setDataCategory(DataCategory.normalCategory());
        //存储（缓存+数据库）
        cacheData.cache(cycleRecorder.currentCycleIndex(), surveyorData);

        //检测单测回是否完成
        navigation2(StateType.isSingleCycleCompleted);
    }
}
