package com.bingce.controlnetwork.ui.widget;

import android.app.Activity;

import androidx.annotation.LayoutRes;
import androidx.annotation.NonNull;

import com.mikepenz.materialdrawer.DrawerBuilder;

public class MyDrawerBuilder extends DrawerBuilder {

    public MyDrawerBuilder(@NonNull Activity activity) {
        super(activity);
    }

    public MyDrawerBuilder withCustomLayout(@LayoutRes int resLayout) {
        if (mActivity == null) {
            throw new RuntimeException("please pass an activity first to use this call");
        }

        if (resLayout != -1) {
            this.mCustomView = mActivity.getLayoutInflater().inflate(resLayout, mRootView, false);
        }

        return this;
    }
}
