package com.bingce.controlnetwork.ui.widget.dialog

import android.content.Context

object LoadingUtilKt {

    private var loadingDialog: LoadingDialog? = null


    fun show(context: Context, msg: String?) {
        val loadBuilder = LoadingDialog.Builder(context)
            .setMessage(msg)
            .setCancelable(true) //返回键是否可点击
            .setCancelOutside(false) //窗体外是否可点击

        loadingDialog = loadBuilder.create()
        loadingDialog!!.show()
    }

    fun dismiss() {
        try {
            loadingDialog?.let {
                if (it.isShowing) {
                    it.dismiss()
                }
                loadingDialog = null
            }
        } catch (e: Exception) {
        }
    }


}