package com.bingce.controlnetwork.util

import com.bingce.controlapphelper.util.Tools
import com.bingce.controlnetwork.R
import java.text.SimpleDateFormat
import java.util.Date
import java.util.Locale

object DefaultNameUtil {
    /**
     * DateUtils.ymdWithCharacter(Date())
     */
    @JvmStatic
    fun getDefaultProjectName(): String {
        val format = Tools.getString(R.string.default_project_format)
        val simpleDateFormat = SimpleDateFormat(format, Locale.getDefault())
        return simpleDateFormat.format(Date())
    }

    /**
     *  DateUtils.ymdHMSWithCharacter(Date())
     */
    @JvmStatic
    fun getDefaultPeriodName(): String {
        val format = Tools.getString(R.string.default_period_format)
        val simpleDateFormat = SimpleDateFormat(format, Locale.getDefault())
        return simpleDateFormat.format(Date())
    }
}