package com.bingce.controlnetwork.util.tolerance

import com.bingce.controlapphelper.datasource.database.ProjectTypeValue
import com.bingce.controlapphelper.datasource.database.tolerance.load.IToleranceOperate
import com.bingce.controlapphelper.datasource.database.tolerance.load.BingceToleranceOperate

object ToleranceOperateUtil {

    @JvmStatic
    fun getOperate(toleranceId: String?): IToleranceOperate? {
        return toleranceId?.let {
            when {
                toleranceId.contains(ProjectTypeValue.LEVEL) -> LevelToleranceOperate()
                else -> BingceToleranceOperate()
            }
        }
    }

}